Subject: Re: [PATCH 0/3] Remove IPVlan module dependencies on IPv6 and Netfilter

From: Florian Westphal <[email-masked]>
Date: Thu, 15 Feb 2018 00:01:12 +0100

Matteo Croce <[email-masked]> wrote:
> The IPVlan module currently depends on IPv6 and Netfilter.
> Refactor the code to allow building IPVlan module regardless of the value of
> CONFIG_IPV6 and CONFIG_NETFILTER.
> Also change the dependency to CONFIG_NET_L3_MASTER_DEV into a select,
> as compiling L3 Master device alone has no sense.

4fbae7d83c98c30efc implies that both netfilter and l3mdev are needed
for l3s mode, yet I see no option of that in changelog or a change that
rejects this mode.

Am I missing anything?